Bug 30854 - dejagnu ... some fixes
dejagnu ... some fixes
Status: CLOSED NOTABUG
Product: Red Hat Powertools
Classification: Retired
Component: dejagnu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 15:19 EST by jens.koerber
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-06 15:20:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2001-03-06 15:19:58 EST
%define	tcl_ver 8.3

Summary: A front end for testing other programs.
Name: dejagnu
Version: 20000204 
Release: 5
Copyright: GPL
Source:
ftp://sourceware.cygnus.com/pub/gdb/snapshots/dejagnu-%{version}.tar.bz2 
Patch0: dejagnu-19991101-rth.patch
Patch1: dejagnu-19991101-glibc21.patch
Group: Development/Tools
Requires: tcl >= 8.0, expect >= 5.21
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q -n dejagnu-20000204
#%patch0 -p1 -b .rth
#%patch1 -p1 -b .glibc21

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --enable-shared
make dejagnu

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make prefix=$RPM_BUILD_ROOT%{_prefix} install-dejagnu

ln -s ../lib/tcl%{tcl_ver} $RPM_BUILD_ROOT%{_datadir}/tcl%{tcl_ver}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/runtest
%{_datadir}/dejagnu/*
%{_datadir}/tcl%{tcl_ver}

%changelog
* Tue Mar 06 2001 Jens Koerber <jens.koerber@planet-interkom.de>
- fixed tcl8.x symlink
- %%{_tmppath} for BuildRoot 
- FHS fixes

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- updated to 20000204

* Tue Nov 30 1999 Jakub Jelinek <jakub@redhat.com>
- made noarch.

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 19991101

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.
Comment 1 Tim Powers 2001-03-06 15:43:38 EST
The current version of dejagnu is 1.4.  There were significant changes in 
the specfile. You can get it from here:

ftp://ftp.redhat.com/rawhide/powertools/i386/RedHat/RPMS/dejagnu-1.4-1.i386.rpm

Tim

Note You need to log in before you can comment on or make changes to this bug.